nvme_get_feature_length2(2)

NAME
nvme_get_feature_length2 - Retreive the command payload length for a specific feature identifier

SYNOPSIS
int nvme_get_feature_length2 (int fid , __u32 cdw11 , enum nvme_data_tfr dir , __u32 *len );

ARGUMENTS

fid Feature identifier, see enum nvme_features_id.

cdw11
    The cdw11 value may affect the transfer (only known fid is NVME_FEAT_FID_HOST_ID)

dir Data transfer direction: false - host to controller, true - controller to host may affect the transfer (only known fid is NVME_FEAT_FID_HOST_MEM_BUF).

len On success, set to this features payload length in bytes.

RETURN
0 on success, -1 with errno set to EINVAL if the function did not recognize fid.